> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notification preferences

> Returns your current notification preferences, expressed as the list of event types you have muted. An empty list means notifications are enabled for all notifiable event types.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /notifications/preferences
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /notifications/preferences:
    get:
      tags:
        - Notifications
      summary: Get notification preferences
      description: >-
        Returns your current notification preferences, expressed as the list of
        event types you have muted. An empty list means notifications are
        enabled for all notifiable event types.
      operationId: getNotificationPreferences
      responses:
        '200':
          description: Muted event types
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      mutedTypes:
                        type: array
                        items:
                          type: string
                          minLength: 1
                          maxLength: 256
                        maxItems: 200
                        example:
                          - workflow.run.running
                          - task.run.running
                    required:
                      - mutedTypes
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````